#
# spec file for package stressapptest
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
 
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		stressapptest
Version:	1.0.9
Release:	1.1
License:	Apache-2.0
Group:		System/Benchmark
Url:		http://code.google.com/p/stressapptest/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
Summary:	Stressful application test

%description
Stressful Application Test (or stressapptest, its unix name) tries to maximize randomized traffic to memory from processor and I/O, with the intent of creating a realistic high load situation in order to test the existing hardware devices in a computer. It has been used at Google for some time and now it is available under the apache 2.0 license.

%prep
%setup -qn %{name}-%{version}

%build
%configure --docdir=%{_docdir}/%{name}
%__make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NOTICE
%{_bindir}/%%{name}
%{_mandir}/man1/stressapptest.1.gz
%changelog
* Thu Aug 30 2018 frede@b1-systems.de
- update to version 1.0.9 release
* Thu Feb  5 2015 seiler@b1-systems.de
- update to version 1.0.7 (checkout from git)
  changes: https://code.google.com/p/stressapptest/source/list
- spec file cleanup
* Mon Oct 19 2009 bitshuffler #suse@irc.freenode.org
- Initial RPM
